GNU Radio C++ API Reference: DisplayPlot Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
DisplayPlot Class Referenceabstract
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget base plot to build QTGUI plotting tools. More...

`#include <gnuradio/qtgui/DisplayPlot.h>`

## Public Slots
virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setYaxis (double min, double max)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual void | setLineColor (unsigned int which, QColor color)
virtual QColor | getLineColor (unsigned int which) const
virtual void | setLineWidth (unsigned int which, int width)
virtual int | getLineWidth (unsigned int which) const
virtual void | setLineStyle (unsigned int which, Qt::PenStyle style)
virtual Qt::PenStyle | getLineStyle (unsigned int which) const
virtual void | setLineMarker (unsigned int which, QwtSymbol::Style marker)
virtual QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual void | setMarkerAlpha (unsigned int which, int alpha)
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Signals
void | plotPointSelected (const QPointF p)

## Public Member Functions
| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
void | replot () override=0
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
Qt::PenStyle | getLineStyle1 () const
Qt::PenStyle | getLineStyle2 () const
Qt::PenStyle | getLineStyle3 () const
Qt::PenStyle | getLineStyle4 () const
Qt::PenStyle | getLineStyle5 () const
Qt::PenStyle | getLineStyle6 () const
Qt::PenStyle | getLineStyle7 () const
Qt::PenStyle | getLineStyle8 () const
Qt::PenStyle | getLineStyle9 () const
QwtSymbol::Style | getLineMarker1 () const
QwtSymbol::Style | getLineMarker2 () const
QwtSymbol::Style | getLineMarker3 () const
QwtSymbol::Style | getLineMarker4 () const
QwtSymbol::Style | getLineMarker5 () const
QwtSymbol::Style | getLineMarker6 () const
QwtSymbol::Style | getLineMarker7 () const
QwtSymbol::Style | getLineMarker8 () const
QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Protected Slots
virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)

## Protected Attributes
unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state

## Properties
QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Detailed Description

QWidget base plot to build QTGUI plotting tools.

## Constructor & Destructor Documentation

## ◆ DisplayPlot()

DisplayPlot::DisplayPlot | ( | int | nplots,
|  | QWidget * | )

References axes_label_font_size, getAxesLabelFontSize(), and setAxesLabelFontSize().

Referenced by replot().

## ◆ ~DisplayPlot()

DisplayPlot::~DisplayPlot | ( |  | ) |
| override

## Member Function Documentation

## ◆ disableLegend

virtual void DisplayPlot::disableLegend | ( |  | ) |
| virtualslot

Referenced by setXaxis().

## ◆ getAxesLabelFontSize()

int DisplayPlot::getAxesLabelFontSize | ( |  | ) | const

References getAxesLabelFontSize(), getAxisLabelFontSize(), getXaxisLabelFontSize(), and getYaxisLabelFontSize().

Referenced by DisplayPlot(), and getAxesLabelFontSize().

## ◆ getAxisLabelFontSize()

int DisplayPlot::getAxisLabelFontSize | ( | int | axisId | ) | const

Referenced by getAxesLabelFontSize().

## ◆ getLineColor

virtual QColor DisplayPlot::getLineColor | ( | unsigned int | which | ) | const
| virtualslot

References setLineLabel().

Referenced by setLineStyle().

## ◆ getLineColor1()

const QColor DisplayPlot::getLineColor1 | ( |  | ) | const

Referenced by getLineColor4().

## ◆ getLineColor2()

const QColor DisplayPlot::getLineColor2 | ( |  | ) | const

References replot().

Referenced by getLineColor5().

## ◆ getLineColor3()

const QColor DisplayPlot::getLineColor3 | ( |  | ) | const

Referenced by getLineColor6().

## ◆ getLineColor4()

const QColor DisplayPlot::getLineColor4 | ( |  | ) | const

References getLineColor1().

Referenced by getLineColor7().

## ◆ getLineColor5()

const QColor DisplayPlot::getLineColor5 | ( |  | ) | const

References getLineColor2().

Referenced by getLineColor8().

## ◆ getLineColor6()

const QColor DisplayPlot::getLineColor6 | ( |  | ) | const

References getLineColor3().

Referenced by getLineColor9().

## ◆ getLineColor7()

const QColor DisplayPlot::getLineColor7 | ( |  | ) | const

References getLineColor4().

Referenced by getLineColor9().

## ◆ getLineColor8()

const QColor DisplayPlot::getLineColor8 | ( |  | ) | const

References getLineColor5().

Referenced by getLineWidth1().

## ◆ getLineColor9()

const QColor DisplayPlot::getLineColor9 | ( |  | ) | const

References getLineColor6(), and getLineColor7().

Referenced by getLineWidth2().

## ◆ getLineLabel

virtual QString DisplayPlot::getLineLabel | ( | unsigned int | which | ) |
| virtualslot

References setYaxis().

Referenced by setLineWidth().

## ◆ getLineMarker

virtual QwtSymbol::Style DisplayPlot::getLineMarker | ( | unsigned int | which | ) | const
| virtualslot

References setLineStyle().

Referenced by getMarkerAlpha().

## ◆ getLineMarker1()

QwtSymbol::Style DisplayPlot::getLineMarker1 | ( |  | ) | const

References getLineStyle8().

Referenced by getLineMarker4().

## ◆ getLineMarker2()

QwtSymbol::Style DisplayPlot::getLineMarker2 | ( |  | ) | const

References getLineStyle9().

Referenced by getLineMarker5().

## ◆ getLineMarker3()

QwtSymbol::Style DisplayPlot::getLineMarker3 | ( |  | ) | const

Referenced by getLineMarker6().

## ◆ getLineMarker4()

QwtSymbol::Style DisplayPlot::getLineMarker4 | ( |  | ) | const

References getLineMarker1().

Referenced by getLineMarker7().

## ◆ getLineMarker5()

QwtSymbol::Style DisplayPlot::getLineMarker5 | ( |  | ) | const

References getLineMarker2().

Referenced by getLineMarker8().

## ◆ getLineMarker6()

QwtSymbol::Style DisplayPlot::getLineMarker6 | ( |  | ) | const

References getLineMarker3().

Referenced by getLineMarker9().

## ◆ getLineMarker7()

QwtSymbol::Style DisplayPlot::getLineMarker7 | ( |  | ) | const

References getLineMarker4().

Referenced by getLineMarker9().

## ◆ getLineMarker8()

QwtSymbol::Style DisplayPlot::getLineMarker8 | ( |  | ) | const

References getLineMarker5().

Referenced by getMarkerAlpha1().

## ◆ getLineMarker9()

QwtSymbol::Style DisplayPlot::getLineMarker9 | ( |  | ) | const

References getLineMarker6(), and getLineMarker7().

Referenced by getMarkerAlpha2().

## ◆ getLineStyle

virtual Qt::PenStyle DisplayPlot::getLineStyle | ( | unsigned int | which | ) | const
| virtualslot

References setLineWidth().

Referenced by setMarkerAlpha().

## ◆ getLineStyle1()

Qt::PenStyle DisplayPlot::getLineStyle1 | ( |  | ) | const

References getLineWidth8().

Referenced by getLineStyle4().

## ◆ getLineStyle2()

Qt::PenStyle DisplayPlot::getLineStyle2 | ( |  | ) | const

References getLineWidth9().

Referenced by getLineStyle5().

## ◆ getLineStyle3()

Qt::PenStyle DisplayPlot::getLineStyle3 | ( |  | ) | const

Referenced by getLineStyle6().

## ◆ getLineStyle4()

Qt::PenStyle DisplayPlot::getLineStyle4 | ( |  | ) | const

References getLineStyle1().

Referenced by getLineStyle7().

## ◆ getLineStyle5()

Qt::PenStyle DisplayPlot::getLineStyle5 | ( |  | ) | const

References getLineStyle2().

Referenced by getLineStyle8().

## ◆ getLineStyle6()

Qt::PenStyle DisplayPlot::getLineStyle6 | ( |  | ) | const

References getLineStyle3().

Referenced by getLineStyle9().

## ◆ getLineStyle7()

Qt::PenStyle DisplayPlot::getLineStyle7 | ( |  | ) | const

References getLineStyle4().

Referenced by getLineStyle9().

## ◆ getLineStyle8()

Qt::PenStyle DisplayPlot::getLineStyle8 | ( |  | ) | const

References getLineStyle5().

Referenced by getLineMarker1().

## ◆ getLineStyle9()

Qt::PenStyle DisplayPlot::getLineStyle9 | ( |  | ) | const

References getLineStyle6(), and getLineStyle7().

Referenced by getLineMarker2().

## ◆ getLineWidth

virtual int DisplayPlot::getLineWidth | ( | unsigned int | which | ) | const
| virtualslot

References setLineColor().

Referenced by setLineMarker().

## ◆ getLineWidth1()

int DisplayPlot::getLineWidth1 | ( |  | ) | const

References getLineColor8().

Referenced by getLineWidth4().

## ◆ getLineWidth2()

int DisplayPlot::getLineWidth2 | ( |  | ) | const

References getLineColor9().

Referenced by getLineWidth5().

## ◆ getLineWidth3()

int DisplayPlot::getLineWidth3 | ( |  | ) | const

Referenced by getLineWidth6().

## ◆ getLineWidth4()

int DisplayPlot::getLineWidth4 | ( |  | ) | const

References getLineWidth1().

Referenced by getLineWidth7().

## ◆ getLineWidth5()

int DisplayPlot::getLineWidth5 | ( |  | ) | const

References getLineWidth2().

Referenced by getLineWidth8().

## ◆ getLineWidth6()

int DisplayPlot::getLineWidth6 | ( |  | ) | const

References getLineWidth3().

Referenced by getLineWidth9().

## ◆ getLineWidth7()

int DisplayPlot::getLineWidth7 | ( |  | ) | const

References getLineWidth4().

Referenced by getLineWidth9().

## ◆ getLineWidth8()

int DisplayPlot::getLineWidth8 | ( |  | ) | const

References getLineWidth5().

Referenced by getLineStyle1().

## ◆ getLineWidth9()

int DisplayPlot::getLineWidth9 | ( |  | ) | const

References getLineWidth6(), and getLineWidth7().

Referenced by getLineStyle2().

## ◆ getMarkerAlpha

virtual int DisplayPlot::getMarkerAlpha | ( | unsigned int | which | ) | const
| virtualslot

References getLineMarker(), getMarkerAlpha(), setLineMarker(), and setMarkerAlpha().

Referenced by getMarkerAlpha().

## ◆ getMarkerAlpha1()

int DisplayPlot::getMarkerAlpha1 | ( |  | ) | const

References getLineMarker8().

Referenced by getMarkerAlpha4().

## ◆ getMarkerAlpha2()

int DisplayPlot::getMarkerAlpha2 | ( |  | ) | const

References getLineMarker9().

Referenced by getMarkerAlpha5().

## ◆ getMarkerAlpha3()

int DisplayPlot::getMarkerAlpha3 | ( |  | ) | const

Referenced by getMarkerAlpha6().

## ◆ getMarkerAlpha4()

int DisplayPlot::getMarkerAlpha4 | ( |  | ) | const

References getMarkerAlpha1().

Referenced by getMarkerAlpha7().

## ◆ getMarkerAlpha5()

int DisplayPlot::getMarkerAlpha5 | ( |  | ) | const

References getMarkerAlpha2().

Referenced by getMarkerAlpha8().

## ◆ getMarkerAlpha6()

int DisplayPlot::getMarkerAlpha6 | ( |  | ) | const

References getMarkerAlpha3().

Referenced by getMarkerAlpha9().

## ◆ getMarkerAlpha7()

int DisplayPlot::getMarkerAlpha7 | ( |  | ) | const

References getMarkerAlpha4().

Referenced by getMarkerAlpha9().

## ◆ getMarkerAlpha8()

int DisplayPlot::getMarkerAlpha8 | ( |  | ) | const

References getMarkerAlpha5().

Referenced by getZoomerColor().

## ◆ getMarkerAlpha9()

int DisplayPlot::getMarkerAlpha9 | ( |  | ) | const

References getMarkerAlpha6(), and getMarkerAlpha7().

Referenced by getPaletteColor().

## ◆ getPaletteColor()

QColor DisplayPlot::getPaletteColor | ( |  | ) | const

References getMarkerAlpha9().

Referenced by getXaxisLabelFontSize().

## ◆ getXaxisLabelFontSize()

int DisplayPlot::getXaxisLabelFontSize | ( |  | ) | const

References getPaletteColor().

Referenced by getAxesLabelFontSize().

## ◆ getYaxisLabelFontSize()

int DisplayPlot::getYaxisLabelFontSize | ( |  | ) | const

References getZoomerColor().

Referenced by getAxesLabelFontSize().

## ◆ getZoomerColor()

QColor DisplayPlot::getZoomerColor | ( |  | ) | const

References getMarkerAlpha8().

Referenced by getYaxisLabelFontSize().

## ◆ legendEntryChecked [1/2]

virtual void DisplayPlot::legendEntryChecked | ( | const QVariant & | plotItem,
|  | bool | on,
|  | int | index )
| protectedvirtualslot

References legendEntryChecked().

## ◆ legendEntryChecked [2/2]

virtual void DisplayPlot::legendEntryChecked | ( | QwtPlotItem * | plotItem,
|  | bool | on )
| protectedvirtualslot

References plotPointSelected().

Referenced by legendEntryChecked().

## ◆ onPickerPointSelected

void DisplayPlot::onPickerPointSelected | ( | const QPointF & | p | ) |
| slot

References resizeSlot().

Referenced by plotPointSelected().

## ◆ plotPointSelected

void DisplayPlot::plotPointSelected | ( | const QPointF | p | ) |
| signal

References onPickerPointSelected().

Referenced by legendEntryChecked().

## ◆ replot()

void DisplayPlot::replot | ( |  | ) |
| overridepure virtual

Implemented in ConstellationDisplayPlot, EyeDisplayPlot, FrequencyDisplayPlot, HistogramDisplayPlot, TimeDomainDisplayPlot, TimeRasterDisplayPlot, VectorDisplayPlot, and WaterfallDisplayPlot.

References DisplayPlot().

Referenced by getLineColor2().

## ◆ resizeSlot

void DisplayPlot::resizeSlot | ( | QSize * | s | ) |
| slot

References setStop().

Referenced by onPickerPointSelected().

## ◆ setAxesLabelFontSize

void DisplayPlot::setAxesLabelFontSize | ( | int | fs | ) |
| slot

References setAxisLabelFontSize(), and setYaxisLabelFontSize().

Referenced by DisplayPlot(), and setStop().

## ◆ setAxisLabelFontSize

void DisplayPlot::setAxisLabelFontSize | ( | int | axisId,
|  | int | fs )
| slot

Referenced by setAxesLabelFontSize().

## ◆ setAxisLabels

virtual void DisplayPlot::setAxisLabels | ( | bool | en | ) |
| virtualslot

Referenced by setLineLabel().

## ◆ setLineColor

virtual void DisplayPlot::setLineColor | ( | unsigned int | which,
|  | QColor | color )
| virtualslot

Reimplemented in EyeDisplayPlot.

References setXaxis().

Referenced by getLineWidth().

## ◆ setLineColor1

void DisplayPlot::setLineColor1 | ( | QColor |  | ) |
| slot

Referenced by setLineColor4().

## ◆ setLineColor2

void DisplayPlot::setLineColor2 | ( | QColor |  | ) |
| slot

Referenced by setLineColor5().

## ◆ setLineColor3

void DisplayPlot::setLineColor3 | ( | QColor |  | ) |
| slot

Referenced by setLineColor6().

## ◆ setLineColor4

void DisplayPlot::setLineColor4 | ( | QColor |  | ) |
| slot

References setLineColor1().

Referenced by setLineColor7().

## ◆ setLineColor5

void DisplayPlot::setLineColor5 | ( | QColor |  | ) |
| slot

References setLineColor2().

Referenced by setLineColor8().

## ◆ setLineColor6

void DisplayPlot::setLineColor6 | ( | QColor |  | ) |
| slot

References setLineColor3().

Referenced by setLineColor9().

## ◆ setLineColor7

void DisplayPlot::setLineColor7 | ( | QColor |  | ) |
| slot

References setLineColor4().

Referenced by setLineColor9().

## ◆ setLineColor8

void DisplayPlot::setLineColor8 | ( | QColor |  | ) |
| slot

References setLineColor5().

Referenced by setLineWidth1().

## ◆ setLineColor9

void DisplayPlot::setLineColor9 | ( | QColor |  | ) |
| slot

References setLineColor6(), and setLineColor7().

Referenced by setLineWidth2().

## ◆ setLineLabel

virtual void DisplayPlot::setLineLabel | ( | unsigned int | which,
|  | QString | label )
| virtualslot

References setAxisLabels().

Referenced by getLineColor().

## ◆ setLineMarker

virtual void DisplayPlot::setLineMarker | ( | unsigned int | which,
|  | QwtSymbol::Style | marker )
| virtualslot

Reimplemented in EyeDisplayPlot.

References getLineWidth().

Referenced by getMarkerAlpha().

## ◆ setLineMarker1

void DisplayPlot::setLineMarker1 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineStyle8().

Referenced by setLineMarker4().

## ◆ setLineMarker2

void DisplayPlot::setLineMarker2 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineStyle9().

Referenced by setLineMarker5().

## ◆ setLineMarker3

void DisplayPlot::setLineMarker3 | ( | QwtSymbol::Style |  | ) |
| slot

Referenced by setLineMarker6().

## ◆ setLineMarker4

void DisplayPlot::setLineMarker4 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker1().

Referenced by setLineMarker7().

## ◆ setLineMarker5

void DisplayPlot::setLineMarker5 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker2().

Referenced by setLineMarker8().

## ◆ setLineMarker6

void DisplayPlot::setLineMarker6 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker3().

Referenced by setLineMarker9().

## ◆ setLineMarker7

void DisplayPlot::setLineMarker7 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker4().

Referenced by setLineMarker9().

## ◆ setLineMarker8

void DisplayPlot::setLineMarker8 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker5().

Referenced by setMarkerAlpha1().

## ◆ setLineMarker9

void DisplayPlot::setLineMarker9 | ( | QwtSymbol::Style |  | ) |
| slot

References setLineMarker6(), and setLineMarker7().

Referenced by setMarkerAlpha2().

## ◆ setLineStyle

virtual void DisplayPlot::setLineStyle | ( | unsigned int | which,
|  | Qt::PenStyle | style )
| virtualslot

Reimplemented in EyeDisplayPlot.

References getLineColor().

Referenced by getLineMarker().

## ◆ setLineStyle1

void DisplayPlot::setLineStyle1 | ( | Qt::PenStyle |  | ) |
| slot

References setLineWidth8().

Referenced by setLineStyle4().

## ◆ setLineStyle2

void DisplayPlot::setLineStyle2 | ( | Qt::PenStyle |  | ) |
| slot

References setLineWidth9().

Referenced by setLineStyle5().

## ◆ setLineStyle3

void DisplayPlot::setLineStyle3 | ( | Qt::PenStyle |  | ) |
| slot

Referenced by setLineStyle6().

## ◆ setLineStyle4

void DisplayPlot::setLineStyle4 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle1().

Referenced by setLineStyle7().

## ◆ setLineStyle5

void DisplayPlot::setLineStyle5 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle2().

Referenced by setLineStyle8().

## ◆ setLineStyle6

void DisplayPlot::setLineStyle6 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle3().

Referenced by setLineStyle9().

## ◆ setLineStyle7

void DisplayPlot::setLineStyle7 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle4().

Referenced by setLineStyle9().

## ◆ setLineStyle8

void DisplayPlot::setLineStyle8 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle5().

Referenced by setLineMarker1().

## ◆ setLineStyle9

void DisplayPlot::setLineStyle9 | ( | Qt::PenStyle |  | ) |
| slot

References setLineStyle6(), and setLineStyle7().

Referenced by setLineMarker2().

## ◆ setLineWidth

virtual void DisplayPlot::setLineWidth | ( | unsigned int | which,
|  | int | width )
| virtualslot

Reimplemented in EyeDisplayPlot.

References getLineLabel().

Referenced by getLineStyle().

## ◆ setLineWidth1

void DisplayPlot::setLineWidth1 | ( | int |  | ) |
| slot

References setLineColor8().

Referenced by setLineWidth4().

## ◆ setLineWidth2

void DisplayPlot::setLineWidth2 | ( | int |  | ) |
| slot

References setLineColor9().

Referenced by setLineWidth5().

## ◆ setLineWidth3

void DisplayPlot::setLineWidth3 | ( | int |  | ) |
| slot

Referenced by setLineWidth6().

## ◆ setLineWidth4

void DisplayPlot::setLineWidth4 | ( | int |  | ) |
| slot

References setLineWidth1().

Referenced by setLineWidth7().

## ◆ setLineWidth5

void DisplayPlot::setLineWidth5 | ( | int |  | ) |
| slot

References setLineWidth2().

Referenced by setLineWidth8().

## ◆ setLineWidth6

void DisplayPlot::setLineWidth6 | ( | int |  | ) |
| slot

References setLineWidth3().

Referenced by setLineWidth9().

## ◆ setLineWidth7

void DisplayPlot::setLineWidth7 | ( | int |  | ) |
| slot

References setLineWidth4().

Referenced by setLineWidth9().

## ◆ setLineWidth8

void DisplayPlot::setLineWidth8 | ( | int |  | ) |
| slot

References setLineWidth5().

Referenced by setLineStyle1().

## ◆ setLineWidth9

void DisplayPlot::setLineWidth9 | ( | int |  | ) |
| slot

References setLineWidth6(), and setLineWidth7().

Referenced by setLineStyle2().

## ◆ setMarkerAlpha

virtual void DisplayPlot::setMarkerAlpha | ( | unsigned int | which,
|  | int | alpha )
| virtualslot

Reimplemented in EyeDisplayPlot.

References getLineStyle().

Referenced by getMarkerAlpha().

## ◆ setMarkerAlpha1

void DisplayPlot::setMarkerAlpha1 | ( | int |  | ) |
| slot

References setLineMarker8().

Referenced by setMarkerAlpha4().

## ◆ setMarkerAlpha2

void DisplayPlot::setMarkerAlpha2 | ( | int |  | ) |
| slot

References setLineMarker9().

Referenced by setMarkerAlpha5().

## ◆ setMarkerAlpha3

void DisplayPlot::setMarkerAlpha3 | ( | int |  | ) |
| slot

Referenced by setMarkerAlpha6().

## ◆ setMarkerAlpha4

void DisplayPlot::setMarkerAlpha4 | ( | int |  | ) |
| slot

References setMarkerAlpha1().

Referenced by setMarkerAlpha7().

## ◆ setMarkerAlpha5

void DisplayPlot::setMarkerAlpha5 | ( | int |  | ) |
| slot

References setMarkerAlpha2().

Referenced by setMarkerAlpha8().

## ◆ setMarkerAlpha6

void DisplayPlot::setMarkerAlpha6 | ( | int |  | ) |
| slot

References setMarkerAlpha3().

Referenced by setMarkerAlpha9().

## ◆ setMarkerAlpha7

void DisplayPlot::setMarkerAlpha7 | ( | int |  | ) |
| slot

References setMarkerAlpha4().

Referenced by setMarkerAlpha9().

## ◆ setMarkerAlpha8

void DisplayPlot::setMarkerAlpha8 | ( | int |  | ) |
| slot

References setMarkerAlpha5().

Referenced by setZoomerColor().

## ◆ setMarkerAlpha9

void DisplayPlot::setMarkerAlpha9 | ( | int |  | ) |
| slot

References setMarkerAlpha6(), and setMarkerAlpha7().

Referenced by setPaletteColor().

## ◆ setPaletteColor

void DisplayPlot::setPaletteColor | ( | QColor | c | ) |
| slot

References setMarkerAlpha9().

Referenced by setXaxisLabelFontSize().

## ◆ setStop

void DisplayPlot::setStop | ( | bool | on | ) |
| slot

References setAxesLabelFontSize(), and setXaxisLabelFontSize().

Referenced by resizeSlot().

## ◆ setXaxis

virtual void DisplayPlot::setXaxis | ( | double | min,
|  | double | max )
| virtualslot

References disableLegend().

Referenced by setLineColor().

## ◆ setXaxisLabelFontSize

void DisplayPlot::setXaxisLabelFontSize | ( | int | fs | ) |
| slot

References setPaletteColor().

Referenced by setStop().

## ◆ setYaxis

virtual void DisplayPlot::setYaxis | ( | double | min,
|  | double | max )
| virtualslot

Reimplemented in FrequencyDisplayPlot, and VectorDisplayPlot.

Referenced by getLineLabel().

## ◆ setYaxisLabelFontSize

void DisplayPlot::setYaxisLabelFontSize | ( | int | fs | ) |
| slot

References setZoomerColor().

Referenced by setAxesLabelFontSize().

## ◆ setZoomerColor

void DisplayPlot::setZoomerColor | ( | QColor | c | ) |
| slot

References setMarkerAlpha8().

Referenced by setYaxisLabelFontSize().

## Member Data Documentation

## ◆ d_autoscale_state

bool DisplayPlot::d_autoscale_state
| protected

## ◆ d_magnifier

QwtPlotMagnifier* DisplayPlot::d_magnifier
| protected

## ◆ d_nplots

unsigned int DisplayPlot::d_nplots
| protected

## ◆ d_numPoints

int64_t DisplayPlot::d_numPoints
| protected

## ◆ d_panner

QwtPlotPanner* DisplayPlot::d_panner
| protected

## ◆ d_picker

QwtDblClickPlotPicker* DisplayPlot::d_picker
| protected

## ◆ d_plot_curve

std::vector<QwtPlotCurve*> DisplayPlot::d_plot_curve
| protected

## ◆ d_stop

bool DisplayPlot::d_stop
| protected

## ◆ d_trace_colors

QList<QColor> DisplayPlot::d_trace_colors
| protected

## ◆ d_zoomer

QwtPlotZoomer* DisplayPlot::d_zoomer
| protected

## Property Documentation

## ◆ axes_label_font_size

int DisplayPlot::axes_label_font_size
| readwrite

Referenced by DisplayPlot().

## ◆ line_color1

QColor DisplayPlot::line_color1
| readwrite

## ◆ line_color2

QColor DisplayPlot::line_color2
| readwrite

## ◆ line_color3

QColor DisplayPlot::line_color3
| readwrite

## ◆ line_color4

QColor DisplayPlot::line_color4
| readwrite

## ◆ line_color5

QColor DisplayPlot::line_color5
| readwrite

## ◆ line_color6

QColor DisplayPlot::line_color6
| readwrite

## ◆ line_color7

QColor DisplayPlot::line_color7
| readwrite

## ◆ line_color8

QColor DisplayPlot::line_color8
| readwrite

## ◆ line_color9

QColor DisplayPlot::line_color9
| readwrite

## ◆ line_marker1

QwtSymbolStyle DisplayPlot::line_marker1
| readwrite

## ◆ line_marker2

QwtSymbolStyle DisplayPlot::line_marker2
| readwrite

## ◆ line_marker3

QwtSymbolStyle DisplayPlot::line_marker3
| readwrite

## ◆ line_marker4

QwtSymbolStyle DisplayPlot::line_marker4
| readwrite

## ◆ line_marker5

QwtSymbolStyle DisplayPlot::line_marker5
| readwrite

## ◆ line_marker6

QwtSymbolStyle DisplayPlot::line_marker6
| readwrite

## ◆ line_marker7

QwtSymbolStyle DisplayPlot::line_marker7
| readwrite

## ◆ line_marker8

QwtSymbolStyle DisplayPlot::line_marker8
| readwrite

## ◆ line_marker9

QwtSymbolStyle DisplayPlot::line_marker9
| readwrite

## ◆ line_style1

Qt::PenStyle DisplayPlot::line_style1
| readwrite

## ◆ line_style2

Qt::PenStyle DisplayPlot::line_style2
| readwrite

## ◆ line_style3

Qt::PenStyle DisplayPlot::line_style3
| readwrite

## ◆ line_style4

Qt::PenStyle DisplayPlot::line_style4
| readwrite

## ◆ line_style5

Qt::PenStyle DisplayPlot::line_style5
| readwrite

## ◆ line_style6

Qt::PenStyle DisplayPlot::line_style6
| readwrite

## ◆ line_style7

Qt::PenStyle DisplayPlot::line_style7
| readwrite

## ◆ line_style8

Qt::PenStyle DisplayPlot::line_style8
| readwrite

## ◆ line_style9

Qt::PenStyle DisplayPlot::line_style9
| readwrite

## ◆ line_width1

int DisplayPlot::line_width1
| readwrite

## ◆ line_width2

int DisplayPlot::line_width2
| readwrite

## ◆ line_width3

int DisplayPlot::line_width3
| readwrite

## ◆ line_width4

int DisplayPlot::line_width4
| readwrite

## ◆ line_width5

int DisplayPlot::line_width5
| readwrite

## ◆ line_width6

int DisplayPlot::line_width6
| readwrite

## ◆ line_width7

int DisplayPlot::line_width7
| readwrite

## ◆ line_width8

int DisplayPlot::line_width8
| readwrite

## ◆ line_width9

int DisplayPlot::line_width9
| readwrite

## ◆ marker_alpha1

int DisplayPlot::marker_alpha1
| readwrite

## ◆ marker_alpha2

int DisplayPlot::marker_alpha2
| readwrite

## ◆ marker_alpha3

int DisplayPlot::marker_alpha3
| readwrite

## ◆ marker_alpha4

int DisplayPlot::marker_alpha4
| readwrite

## ◆ marker_alpha5

int DisplayPlot::marker_alpha5
| readwrite

## ◆ marker_alpha6

int DisplayPlot::marker_alpha6
| readwrite

## ◆ marker_alpha7

int DisplayPlot::marker_alpha7
| readwrite

## ◆ marker_alpha8

int DisplayPlot::marker_alpha8
| readwrite

## ◆ marker_alpha9

int DisplayPlot::marker_alpha9
| readwrite

## ◆ palette_color

QColor DisplayPlot::palette_color
| readwrite

## ◆ xaxis_label_font_size

int DisplayPlot::xaxis_label_font_size
| readwrite

## ◆ yaxis_label_font_size

int DisplayPlot::yaxis_label_font_size
| readwrite

## ◆ zoomer_color

QColor DisplayPlot::zoomer_color
| readwrite

The documentation for this class was generated from the following file:

- DisplayPlot.h